* {
    box-sizing: border-box;
}

.container {
    width: 100%;
    max-width: 1200px;
    min-width: 400px;
    margin: 0 auto;
    background: #FF0000;
    padding: 10px;
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin: -10px;
}

.col {
    flex: 0 0 100%;
    max-width: 100%;
    min-height: 100px;
    padding: 10px;
}

.block {
    margin-bottom: 10px;
    padding: 10px;
    background: #00ff00;
}

.block-1 {
    background: #0000ff;
    width: 100%;
    height: 100%;
}

.block-2 {
    background: #ffff00;
    width: 100%;
    height: 100%;
}

.block-3 {
    background: #ff00ff;
    width: 100%;
    height: 100%;
}

.block:last-child {
    margin-bottom: 0;
}

.col-50 {
    flex-basis: 50%;
    width: 50%;
    max-width: 50%;
}


.col-25 {
    flex-basis: 25%;
    width: 25%;
    max-width: 25%;
}

.col-35 {
    flex-basis: 35%;
    width: 35%;
    max-width: 35%;
}

.col-65 {
    flex-basis: 65%;
    width: 65%;
    max-width: 65%;
}

.box {
    display: flex;
}

.box .col-35 {
    order: 1;
}

.box .col-65 {
    order: 2;
}


@media (max-width: 900px) {
    .col-50 {
        flex-basis: 100%;
        width: 100%;
        max-width: 100%;
    }

    .col-25 {
        flex-basis: 50%;
        width: 50%;
        max-width: 50%;
    }

    .col-35 {
        flex-basis: 100%;
        width: 100%;
        max-width: 100%;
    }

    .col-65 {
        flex-basis: 100%;
        width: 100%;
        max-width: 100%;
    }

    .box > div {
        order: 0 !important;;
    }
}
